\documentclass{beamer}

\usetheme{Berlin}
\usecolortheme{dolphin}
\setbeameroption{hide notes}
%===ASPN additions===%
\renewcommand{\insertnavigation}[1]{} % Remove navigation header to sections
\usepackage{adjustbox}

\usepackage{tkz-graph}
\GraphInit[vstyle = Shade]
\tikzset{
  LabelStyle/.style = { rectangle, rounded corners, draw,
                        minimum width = 2em, fill = yellow!50,
                        text = red, font = \bfseries },
  VertexStyle/.append style = { inner sep=5pt,
                                font = \normalsize\bfseries},
  EdgeStyle/.append style = {->, bend left} }
\definecolor{processblue}{cmyk}{0.96,0,0,0}

%===Packages===%

\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{amsthm}
\usepackage{graphicx}
\usepackage{hyperref}
\usepackage{subcaption}
\usepackage{tikz}
\usetikzlibrary{decorations.pathreplacing,positioning,calc,intersections,3d,shapes.geometric,math,external,tikzmark,fit}
\usepackage{algorithm,algorithmicx,algpseudocode}
\usepackage{setspace}
\usepackage{animate}

%===Math Operators===%

\newcommand{\dxdy}[2]{\frac{d #1}{d #2}}
\newcommand{\dxdyk}[3]{\frac{d^{#3} #1}{d {#2}^{#3}}}
\newcommand{\pdxdy}[2]{\frac{\partial #1}{\partial #2}}
\newcommand{\liminfty}[1]{\lim_{#1 \to \infty}}
\newcommand{\limab}[2]{\lim_{#1 \to #2}}

\newcommand{\abs}[1]{\left \vert #1 \right \vert}
\newcommand{\norm}[1]{\left \Vert #1 \right \Vert}
\newcommand{\order}[1]{\mathcal{O} \left ( #1 \right )}
\newcommand{\set}[1]{\left \{ #1 \right \}}
\newcommand{\Set}[2]{\left \{ #1 \ \middle \vert \ #2 \right \}}
\newcommand{\vmat}[1]{\begin{vmatrix} #1 \end{vmatrix}}
\DeclareMathOperator{\sign}{sign}

\let\vec\mathbf

%===Important Sets===%

\newcommand{\bbn}{\mathbb{N}}
\newcommand{\bbz}{\mathbb{Z}}
\newcommand{\bbq}{\mathbb{Q}}
\newcommand{\bbr}{\mathbb{R}}
\newcommand{\bbc}{\mathbb{C}}
\newcommand{\bbf}{\mathbb{F}}

%===Types of Statements===%

\newtheorem{lem}{Lemma}
\newtheorem{thm}{Theorem}
\newtheorem{cor}{Corollary}
\newtheorem{prop}{Proposition}
\newtheorem{conj}{Conjecture}
\newtheorem{defn}{Definition}

\newcommand{\tetra}[2]{
    \filldraw[red] \foreach \x in {#1} {(\x) circle (1.5pt)};
    \filldraw[blue,fill opacity=0.2] (S1) -- (S2) -- (S3) -- (S4) -- cycle;
    \filldraw[red] \foreach \x in {#2} {(\x) circle (1.5pt)};
    }
\newcommand{\blueplane}[4]{
    \filldraw[blue,fill opacity=0.4] #1 -- #2 -- #3 -- #4 -- cycle;
    }
\newcommand{\redplanes}[4]{
    \filldraw[red,fill opacity=0.2] #1 -- #2 -- #3 -- cycle;
    \filldraw[red,fill opacity=0.2] #1 -- #2 -- #4 -- cycle;
    \filldraw[red,fill opacity=0.2] #1 -- #3 -- #4 -- cycle;
    }
\newcommand{\tikzint}[4]{{(#1*#4-#3*#2)/(#4-#2)}}
\newcommand{\Tetra}[9]{
	\coordinate (X1) at (#1,#2,#3); \coordinate (X2) at (#4,#5,#6); \coordinate (X3) at (-2,-2,-2); \coordinate (X4) at (#7,#8,#9);
		\coordinate (z1) at (\tikzint{#4}{#6}{#1}{#3},\tikzint{#5}{#6}{#2}{#3},0);
		\coordinate (z2) at (\tikzint{#4}{#6}{-2}{-2},\tikzint{#5}{#6}{-2}{-2},0);
		\coordinate (z3) at (\tikzint{#4}{#6}{#7}{#9},\tikzint{#5}{#6}{#8}{#9},0);
		\coordinate (z4) at (\tikzint{#7}{#9}{-2}{-2},\tikzint{#8}{#9}{-2}{-2},0);
		\coordinate (z5) at (\tikzint{#1}{#3}{-2}{-2},\tikzint{#2}{#3}{-2}{-2},0);
		\coordinate (z6) at (\tikzint{#7}{#9}{#1}{#3},\tikzint{#8}{#9}{#2}{#3},0);
		
		\coordinate (x1) at (0,\tikzint{#2}{#1}{#5}{#4},\tikzint{#3}{#1}{#6}{#4});
		\coordinate (x2) at (0,\tikzint{#2}{#1}{-2}{-2},\tikzint{#3}{#1}{-2}{-2});
		\coordinate (x3) at (0,\tikzint{#2}{#1}{#8}{#7},\tikzint{#3}{#1}{#9}{#7});
		\coordinate (x4) at (0,\tikzint{#8}{#7}{-2}{-2},\tikzint{#9}{#7}{-2}{-2});
		\coordinate (x5) at (0,\tikzint{-2}{-2}{#5}{#4},\tikzint{-2}{-2}{#6}{#4});
		\coordinate (x6) at (0,\tikzint{#8}{#7}{#5}{#4},\tikzint{#9}{#7}{#6}{#4});
	
	\draw[black] (0,-2,0) -- (0,2,0);
	\filldraw[blue,fill opacity=0.2] (2,-2,0) -- (2,2,0) -- (0,2,0) -- (0,2,-2) -- (0,-2,-2) -- (0,-2,0) -- cycle;
	\filldraw[red] \foreach \x in {(X1),(X2),(X3),(X4)} {\x circle (1.5pt)};
	\filldraw[red,fill opacity=0.2] (X1) -- (X2) -- (X3) -- cycle;
	\filldraw[red,fill opacity=0.2] (X1) -- (X2) -- (X4) -- cycle;
	\filldraw[red,fill opacity=0.2] (X4) -- (X2) -- (X3) -- cycle;
	\filldraw[red,fill opacity=0.2] (X1) -- (X4) -- (X3) -- cycle;
	\filldraw[blue,fill opacity=0.2] (-2,-2,0) -- (-2,2,0) -- (0,2,0) -- (0,2,2) -- (0,-2,2) -- (0,-2,0) -- cycle;
}

%\newcommand{\hvec}[2]{\vec{h} \left (#1 \mid #2 \right )}
\newcommand{\hvec}[2]{\vec{q}^{#1}_{#2}}
\newcommand{\pcoord}[2]{#2 \cdot \vec{e}_{#1}}
%\newcommand{\pcoord}[2]{p_{#1} \left ( #2 \right )}

%\newcommand{\snum}[3]{s \left ( #1, #2 \cup \set{#3} \right )}
\newcommand{\snum}[3]{s_{#2 \cup \set{#3}}^{#1}}
\newcommand{\snumalt}[2]{s_{#2}^{#1}}
%\newcommand{\sdenom}[2]{t \left ( #1, #2 \right )}
\newcommand{\sdenom}[2]{t_{#2}^{#1}}
\newcommand{\signq}[3]{\sign \left ( \pcoord{#3}{\hvec{#1}{#2}} \right )}

\usepackage[backend=bibtex,style=authoryear]{biblatex}
\ExecuteBibliographyOptions{doi=false, eprint=false, url=false}
\addbibresource{references.bib}
\setbeamerfont{footnote}{size=\tiny}

%===Add section title pages===%
\AtBeginSection[]{
	\begin{frame}
	\vfill
	\centering
	\begin{beamercolorbox}[sep=8pt,center,shadow=true,rounded=true]{title}
		\usebeamerfont{title}\insertsectionhead\par%
	\end{beamercolorbox}
	\vfill
	\end{frame}
}

\title{Towards robustness in algorithms}
\author{Conor McCoid}
\institute{Universit\'e de Gen\`eve}
\date{30.08.2022}

\begin{document}

\frame{\titlepage}

%===================================================%

\include{SEC_ASPN}

%===================================================%

\include{SEC_Krylov}

%===================================================%

\include{SEC_Simplices}

%===================================================%

\begin{frame}
\frametitle{Conclusions}
Ways to improve robustness:
\begin{itemize}
\item Identify what can go wrong and find conditions to prevent them
\item Find equivalent methods and adapt their techniques
\item Build algorithms with parsimony
\end{itemize}

Future works:
\begin{itemize}
\item Adapt convergent ASPN algorithm to higher dimensions
\item Include more extrapolation and Krylov methods into equivalencies map
\item Optimize simplicial intersection algorithm and adapt for mixed dimensions
\end{itemize}
\end{frame}

\begin{frame}
\printbibliography
\end{frame}

\end{document}